%define plugin	skinelchi
%define prever	0
%define rel	6

Summary:	VDR plugin: Elchi VDR Skin-Plugin
Name:		vdr-plugin-%plugin
Version:	0.2.8
%define subrel 1
%if %{prever}
Release:	%mkrel 0.%prever.%rel
%else
Release:	%mkrel %rel
%endif
Group:		Video/Utilities
License:	GPLv2+
URL:		http://firefly.vdr-developer.org/skinelchi
%if %{prever}
Source:		http://firefly.vdr-developer.org/skinelchi/vdr-%{plugin}-%{version}%{prever}.tar.bz2
%else
Source:		http://firefly.vdr-developer.org/skinelchi/vdr-%{plugin}-%{version}.tar.bz2
%endif
Patch0:		skinelchi-0.2.8-mga-separate-install.patch
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	imagemagick-devel
Requires:	vdr-abi = %{vdr_abi}

%description
VDR skin plugin, based on:
    - original-skins of vdr
    - Elchi for vdr 1.2.6 and enElchi/Elchi for text2skin
    - osdimage from brougs78

%vdr_chanlogo_notice

%prep
%if %prever
%setup -q -n %{plugin}-%{version}%{prever}
%else
%setup -q -n %{plugin}-%{version}
%endif
%apply_patches
%vdr_plugin_prep

%vdr_plugin_params_begin %{plugin}
# optional path for epgimages (default: %{_vdr_plugin_cachedir}/epgimages)
var=ICACHE
param=--icache=ICACHE
# path for channel logos
var=LOGO_DIR
param=--logos=LOGO_DIR
default=%{_vdr_chanlogodir}
%vdr_plugin_params_end

cat > README.install.urpmi <<EOF
%vdr_chanlogo_notice
EOF

%build
%vdr_plugin_build SKINELCHI_HAVE_IMAGEMAGICK=1

%install
%vdr_plugin_install
mkdir -p %{buildroot}%{_sysconfdir}/vdr/themes
cp -a themes/* %{buildroot}%{_sysconfdir}/vdr/themes

%files -f %plugin.vdr
%doc README HISTORY README.install.urpmi
%{_sysconfdir}/vdr/themes


%changelog
* Tue Jun 21 2016 shlomif <shlomif> 0.2.8-6.1.mga5
+ Revision: 1037122
- Rebuild for the new libMagick++

* Mon Jan 05 2015 anssi <anssi> 0.2.8-6.mga5
+ Revision: 808498
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 0.2.8-5.mga5
+ Revision: 798680
- rebuild for new VDR

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sat Aug 23 2014 fwang <fwang> 0.2.8-2.mga5
+ Revision: 666797
- rebuild for imagemagick

* Mon Jan 06 2014 danf <danf> 0.2.8-1.mga4
+ Revision: 565077
- Upgraded to ver. 0.2.8

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.1.1-0.pre2.21.mga4
+ Revision: 481495
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 0.1.1-0.pre2.20.mga4
+ Revision: 464413
- rebuild for new imagemagick

* Tue May 28 2013 fwang <fwang> 0.1.1-0.pre2.19.mga4
+ Revision: 429200
- rebuild for new imagemagick

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-0.pre2.18.mga3
+ Revision: 385312
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.1.1-0.pre2.17.mga3
+ Revision: 330788
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.1.1-0.pre2.16.mga3
+ Revision: 305087
- update rpm group

* Wed Mar 07 2012 anssi <anssi> 0.1.1-0.pre2.16.mga2
+ Revision: 221053
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.1.1-0.pre2.15.mga2
+ Revision: 214846
- rebuild for VDR 1.7.23

* Mon Sep 26 2011 dmorgan <dmorgan> 0.1.1-0.pre2.14.mga2
+ Revision: 147869
- Rebuild against new libMagick++

  + fwang <fwang>
    - rebuild for new imagemagick

* Sat May 14 2011 anssi <anssi> 0.1.1-0.pre2.12.mga1
+ Revision: 98519
- fix license tag
- drop old scriptlets
- imported package vdr-plugin-skinelchi

